package com.xinelu.manage.mapper.appfileinfo;


import com.xinelu.manage.domain.appfileinfo.AppFileInfo;

import java.util.List;


/**
 * 护理员App文件管理Mapper接口
 *
 * @author xinyilu
 * @date 2022-11-15
 */
public interface AppFileInfoMapper {
    /**
     * 查询护理员App文件管理
     *
     * @param id 护理员App文件管理主键
     * @return 护理员App文件管理
     */
    AppFileInfo selectAppFileInfoById(Long id);

    /**
     * 查询护理员App文件管理列表
     *
     * @param appFileInfo 护理员App文件管理
     * @return 护理员App文件管理集合
     */
    List<AppFileInfo> selectAppFileInfoList(AppFileInfo appFileInfo);

    /**
     * 新增护理员App文件管理
     *
     * @param appFileInfo 护理员App文件管理
     * @return 结果
     */
    int insertAppFileInfo(AppFileInfo appFileInfo);

    /**
     * 修改护理员App文件管理
     *
     * @param appFileInfo 护理员App文件管理
     * @return 结果
     */
    int updateAppFileInfo(AppFileInfo appFileInfo);

    /**
     * 删除护理员App文件管理
     *
     * @param id 护理员App文件管理主键
     * @return 结果
     */
    int deleteAppFileInfoById(Long id);

    /**
     * 批量删除护理员App文件管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAppFileInfoByIds(Long[] ids);

    /**
     * 查询泉医到家App文件信息表最新的一条数据
     *
     * @return com.xinyilu.base.domain.appfileinfo.AppFileInfo
     **/
    AppFileInfo getAppFileInfoByOneId();
}
